Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.xml
Class InvalidConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.framework.xml.InvalidConfigurationException

All Implemented Interfaces:
  Serializable

    public class InvalidConfigurationException

extends Exception

Indicates that a configuration (or a fragment of it) does not match the expected format.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`InvalidConfigurationException(String msg)`
`InvalidConfigurationException(String source, String message)`
`InvalidConfigurationException(String msg, Throwable e)`
`InvalidConfigurationException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidConfigurationException

    public InvalidConfigurationException(String msg)

Parameters:
  `msg` -

### InvalidConfigurationException

    public InvalidConfigurationException(String source,
                                         String message)

Parameters:
  `source` -
  `message` -

### InvalidConfigurationException

    public InvalidConfigurationException(String msg,
                                         Throwable e)

Parameters:
  `msg` -
  `e` -

### InvalidConfigurationException

    public InvalidConfigurationException(Throwable arg0)

Parameters:
  `arg0` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org